﻿<!DOCTYPE html>
@{
    var listBranch = (((UserView)Session["UserLogin"]).UseBranche ? ((UserView)Session["UserLogin"]).CompanyConnect.CompanySAPConfig.Branches : null);
    bool _CompanyUpdatePermission = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMCompanies.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="shortcut icon" href="favicon.ico">

    @Styles.Render("~/Content/css")

    @Styles.Render("~/Content/Alertify/CSS")

    <link href="https://fonts.googleapis.com/css?family=Roboto+Condensed:300,400,700" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Barlow:400,500,700" rel="stylesheet">
    <link href="/Content/fonts/7-stroke/7-stroke.css" rel="stylesheet">

    @Scripts.Render("~/bundles/Master")

    @Scripts.Render("~/bundles/Alertify")
    @if (((UserView)Session["UserLogin"]).UserGroupObj != null)
    {
        if (!string.IsNullOrEmpty(((UserView)Session["UserLogin"]).UserGroupObj.CSSName))
        {
            <link href="/Content/ExternalCSS/@(((UserView)Session["UserLogin"]).UserGroupObj.CSSName)" rel="stylesheet">
        }
        if (!string.IsNullOrEmpty(((UserView)Session["UserLogin"]).UserGroupObj.JSName))
        {
            <script src="/Scripts/ExternalJS/@(((UserView)Session["UserLogin"]).UserGroupObj.JSName)"></script>
        }
    }

    <script>

        $(function () {
            $('[data-toggle="tooltip"]').tooltip()
        })

    </script>




</head>
<body>

    <div class="navbar navbar-fixed-top" role="navigation">
        <div class="container-fluid">
            <div class="navbar-header">
                <ul class="nav navbar-nav">
                    <li><a class="sidebar-control sidebar-main-toggle legitRipple"><i class="icon-paragraph-justify3"></i></a></li>
                    <li><a class="sidebar-control sidebar-secondary-hide legitRipple"><i class="icon-transmission"></i></a></li>
                </ul>

                <a class="navbar-brand" href='@Url.Action("Index", "./Home", new { @IdUser = ((ARGNS.View.UserView)Session["UserLogin"]).IdUser })'>
                    <span>SAP® Business One</span>OnePortal
                </a>
            </div>
            <div class="navbar-collapse">

                <ul class="nav navbar-nav submenuitems ">
                    <li class="dropdown ">
                        <a href="#" class="dropdown-toggle usuario"> @(((UserView)Session["UserLogin"]).Name) <i class="icon_sap icon_sap_36 float"></i></a>
                        <ul class="dropdown-menu dropdown-menu-right">
                            <li><a href="@Url.Action("MyAccount", "./Users", new { @IdUser = ((UserView)Session["UserLogin"]).IdUser })">@Shared.MyAccount</a></li>
                            <li><a href="@Url.Action("MyDirectAccesses", "./Users", new { @IdUser = ((UserView)Session["UserLogin"]).IdUser })">@Shared.MyDirectAccesses</a></li>
                            <li><a href="@Url.Action("SignOut", "./Login")" title="Version: @typeof(ARGNS.WebSite.MvcApplication).Assembly.GetName().Version"><span class="glyphicon glyphicon-remove-circle"></span> @Shared.Disconnect</a></li>
                        </ul>
                    </li>
                    <li class="icon_hide"><a href="#" class="usuario">  @(((UserView)Session["UserLogin"]).CompanyConnect.CompanyDB)  <i class="icon_sap icon_sap_31 float"></i> </a></li>
                </ul>
                @if (((UserView)Session["UserLogin"]).UseBranche)
                {
                    <ul class="nav navbar-nav submenuitems ">
                        <li class="dropdown ">
                            <a href="#" id="mainLink" class="dropdown-toggle building"> @listBranch.FirstOrDefault(c => c.BPLId == ((UserView)Session["UserLogin"]).CompanyConnect.IdBranchSelect).BPLName <i class="icon_sap icon_sap_199 float"></i></a>
                            <ul class="dropdown-menu dropdown-menu-right">
                                @foreach (var item in listBranch)
                                {
                                    <li><a href="#" id='@item.BPLId' onclick="ChangeBranch('@item.BPLId', '@item.BPLName')">@item.BPLName </a></li>
                                }
                            </ul>
                        </li>
                    </ul>
                }
            </div>
        </div>
    </div>


    <!--LATERAL-->
    <!--CONT
    TENIDOS-->
    @RenderBody()
    @Html.Partial("_ChartViewerModal")

    <!--close container-->
    @Html.Partial("_Error")

    @Html.Partial("_Loading")

    @Html.Partial("_MsgLogOut")

    <script>
        $(document).ready(function () {
            var sideslider = $('.navbar-toggle');
            var sel2 = sideslider.attr('data-target-2');
            sideslider.click(function (event) {
                $(sel2).toggleClass('out');
            });

        });
    </script>



    <script>
        $(document).ready(function () {
            if ($(window).width() <= 768) {
                $('.panel-collapse').removeClass('in');
            }
        });
        $(window).resize(function () {
            if ($(window).width() >= 768) {
            }
            if ($(window).width() <= 768) {
                $('.panel-collapse').removeClass('in');
            }
        });
    </script>

    <script>
        function ChangeBranch(idBranch, branchName) {

            $.post("/Branch/ChangeBranch", $.param({
                idBranchSelect: idBranch
            }, true))
                .success(function (data) {
                    if (data.Result == "Ok") {
                        $('#mainLink').html(branchName + "<i class='icon_sap icon_sap_199 float'></i>");
                        $('input[name="whs"]').val(data.WhsDf);
                    }
                    else {
                        Error(data);
                    }
                })
                .error(function (err) { Close(); });
        }
    </script>

    <!-- CHART VIEWR START-->
    @Styles.Render("~/Content/ChartsCSS")
    @Scripts.Render("~/bundles/Comun")
    @Scripts.Render("~/bundles/ChartCreator")
    <!-- CHART VIEWR END-->

</body>

</html>